source 'https://rubygems.org'

gem 'rails', '4.1.4'
gem 'rack-cors', :require => 'rack/cors'

# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'

# gem 'sqlite3'


gem 'slim-rails'

# Gems used only for assets and not required
# in production environments by default.
gem 'active_model_serializers' # explicitly outside assets
group :assets do
  gem 'jquery-rails'
  gem 'jquery-ui-rails'
  gem 'ember-source' #, github: 'emberjs/ember.js', require: 'ember/source'
  gem 'ember-rails'
  gem 'sass-rails', '~> 4.0.2'
  gem 'coffee-rails' #, '~> 3.2.1'
  #gem 'twitter-bootstrap-rails'
  # Only for mobile assets precompile, not used in this project
  gem 'bootstrap-sass', '~>2.3'
  gem 'bourbon'
  #gem 'compass-rails'
  gem 'js-routes'
  gem "font-awesome-rails"

  # See https://github.com/sstephenson/execjs#readme for more supported runtimes
  #gem 'therubyracer', :platforms => :ruby

  gem 'uglifier', '>= 1.0.3'
  gem 'emblem-rails'

  gem 'foundation-rails'
  #gem 'mustache' #, :require => 'mustache/railtie'
end

#gem 'less-rails'
# COUCHBASE GEMS
gem 'couchbase'
gem 'map'
gem 'couchbase-docstore'
gem 'couchbase-structures', github: 'bterkuile/couchbase-structures'

gem 'couch_potato' , github: 'bterkuile/couch_potato'
#gem 'simply_stored', path: './../components/simply_stored' #, github: 'bterkuile/simply_stored'
gem 'simply_stored', github: 'bterkuile/simply_stored'
#gem 'orm_adapter', github: 'bterkuile/orm_adapter'
gem 'devise' #, '3.1.0' #, '2.0.4'
gem 'devise_simply_stored', github: 'bterkuile/devise_simply_stored'
gem "omniauth-facebook"
gem 'simple_form'
gem 'active_decorator' #, path: '/Users/bterkuile/companytools/development/rails/components/active_decorator'
#gem 'cmtool', github: 'bterkuile/cmtool'
gem 'paperclip' #, '3.5.2' # cmtool
#gem 'cmtool', path: './../cmtool'
gem 'cmtool', github: 'bterkuile/cmtool'
gem 'kaminari'

gem 'rqrcode'
gem 'mini_magick'

#gem 'geokit'
#gem 'iso_country_codes'
#gem "less-rails-bootstrap-devise", :git => 'git://github.com/bigbento/less-rails-bootstrap-devise.git'

# To use ActiveModel has_secure_password
# gem 'bcrypt-ruby', '~> 3.0.0'

# To use Jbuilder templates for JSON
# gem 'jbuilder'
#
group :development, :test do
  gem 'rspec-rails'
  gem 'pry-rails'
end
group :development do
  #gem 'pry-remote'
  gem 'quiet_assets'
  gem 'letter_opener'
  gem 'thin'
  gem 'faye'
  gem 'capistrano', '~> 3.0', require: false
  gem 'capistrano-rvm',   '~> 0.1', require: false
  gem 'capistrano-rails', '~> 1.1', require: false
  gem 'spring'
  gem 'spring-commands-rspec'
end

group :test do
  #gem 'steak'
  gem 'database_cleaner'
  gem 'capybara' #, '2.0.3'
  #gem 'selenium-webdriver'
  gem 'capybara-webkit' #, '~>0.14.2' # version 1.1.0 does not yet compile in mavericks
  gem 'turnip'
  gem 'rspec-its'
  gem 'launchy'
  gem 'fuubar'
  #gem 'rb-fsevent', :require => false #if RUBY_PLATFORM =~ /darwin/i
  gem 'simplecov', require: false
  gem 'factory_girl_rails'
end

# Use unicorn as the app server
# gem 'unicorn'

# Deploy with Capistrano
# gem 'capistrano'

# To use debugger
# gem 'debugger'
